from filestack import config
from filestack.utils import requests


def upload_external_url(url, apikey, store_params=None, security=None):
    store_params = store_params or {}

    # remove params that are currently not supported in external url upload
    for item in ('mimetype', 'upload_tags'):
        store_params.pop(item, None)

    payload = {
        'apikey': apikey,
        'sources': [url],
        'tasks': [{
            'name': 'store',
            'params': store_params
        }]
    }

    if security is not None:
        payload['tasks'].append({
            'name': 'security',
            'params': {
                'policy': security.policy_b64,
                'signature': security.signature
            }
        })

    response = requests.post('{}/process'.format(config.CDN_URL), json=payload)
    return response.json()
